## rygel 0.38.3

=== meson_options.txt ===
option('uninstalled', type: 'boolean', value: 'false', description: 'Run Rygel from build directory only')
option('api-docs', type: 'boolean', value: 'false', description: 'Build the API documentation')
option('systemd-user-units-dir', type : 'string', value : 'auto', description : 'Where to install the systemd user unit (use special values "auto" or "none", or pass a path')
option('plugins', type : 'array', choices : ['external', 'gst-launch', 'lms', 'media-export', 'mpris', 'playbin', 'ruih', 'tracker'])
option('engines', type : 'array', choices : ['simple', 'gstreamer'])
option('examples', type : 'boolean', value : 'true')
option('tests', type : 'boolean', value : 'true')
option('gstreamer', type : 'boolean', value : 'true')
option('gtk', type : 'boolean', value : 'true')
option('introspection', type: 'feature', value : 'auto')

## rygel 0.10.4

=== debian/changelog ===
rygel (0.10.4-1) unstable; urgency=low

  * debian/watch: scan for tar.bz2 since gz is no longer available.
  * Imported Upstream version 0.10.4
  * Switch to dpkg-source 3.0 (quilt) format
  * Bump policy to version 3.9.2
  * Convert debian/rules to use dh
  * Bump debhelper compatibility level to 8

 -- Andreas Henriksson <andreas@fatal.se>  Mon, 01 Aug 2011 17:58:02 +0200

rygel (0.10.1-1) unstable; urgency=low

  * Include the mpris plugin in the rygel package
  * Imported Upstream version 0.10.1

 -- Andreas Henriksson <andreas@fatal.se>  Sat, 16 Apr 2011 20:36:59 +0200

rygel (0.10.0-1) unstable; urgency=low

  * Imported Upstream version 0.10.0
  * Update build-deps according to configure.ac
  * Drop patches, no longer needed
  * Update install for the tracker plugins new name.
  * Split out rygel-preferences in separate package
  * Generate debian/patches/series header to avoid empty file

 -- Andreas Henriksson <andreas@fatal.se>  Fri, 15 Apr 2011 15:39:57 +0200

rygel (0.8.3-3) unstable; urgency=low

  * Upload to unstable.

 -- Andreas Henriksson <andreas@fatal.se>  Mon, 07 Feb 2011 10:59:43 +0100

rygel (0.8.3-2) experimental; urgency=low

  * rename debian/rygel-player.install -> debian/rygel-playbin.install
    - fixes rygel-playbin package to not be empty. Oops.
  * Use triggers to detect and perform needed rygel restarts.
  * Drop redundant call to dh_builddeb

 -- Andreas Henriksson <andreas@fatal.se>  Tue, 16 Nov 2010 14:39:55 +0100

rygel (0.8.3-1) experimental; urgency=low

  * Stop relying on gupnp-dlna pulling in gst-plugins-base.
  * Imported Upstream version 0.8.3
  * add rygel.postinst to restart running rygel processes
  * add rygel.prerm to terminate running rygel processes on removal
  * Rename rygel-gst-renderer to rygel-playbin, add transition dummy.

 -- Andreas Henriksson <andreas@fatal.se>  Tue, 16 Nov 2010 12:01:31 +0100

rygel (0.8.2-1) experimental; urgency=low

  * Imported Upstream version 0.8.2

 -- Andreas Henriksson <andreas@fatal.se>  Wed, 20 Oct 2010 10:01:52 +0200

rygel (0.8.1-1) experimental; urgency=low

  * Imported Upstream version 0.8.1

 -- Andreas Henriksson <andreas@fatal.se>  Mon, 11 Oct 2010 10:30:38 +0200

rygel (0.8.0-1) experimental; urgency=low

  * Imported Upstream version 0.8.0
    - ... avoid crash in environments where standard XDG folders
      are undefined or unknown to glib. (Closes: #596902)
  * rygel-tracker: add NEWS entry about Tracker vs MediaExport backend.

 -- Andreas Henriksson <andreas@fatal.se>  Tue, 28 Sep 2010 09:40:39 +0200

rygel (0.7.8-1) experimental; urgency=low

  * Imported Upstream version 0.7.8

 -- Andreas Henriksson <andreas@fatal.se>  Tue, 14 Sep 2010 14:43:51 +0200

rygel (0.7.7-1) experimental; urgency=low

  * Imported Upstream version 0.7.7
  * drop debian/patches/1000-configure-only-require-gtk-220.patch
  * install man-pages for rygel(1) and rygel.conf(5).

 -- Andreas Henriksson <andreas@fatal.se>  Tue, 31 Aug 2010 12:12:54 +0200

rygel (0.7.6-1) experimental; urgency=low

  [ Andreas Henriksson ]
  * Imported Upstream version 0.7.6
  * debian/control: Bump build-dependencies according to configure.ac
    + libgupnp-av-1.0-dev (>= 0.5.8) to (>= 0.5.9),
    + libgupnp-dlna-1.0-dev (>= 0.2.1) to (>= 0.3.0),
    + libgstreamer0.10-dev (>= 0.10.23) to (>= 0.10.28).
  * debian/control: Bump policy version to 3.9.1
  * debian/manpage.xml.ex: drop unused template file.

  [ Jens Georg ]
  * Add debug package, rygel-dbg.

 -- Andreas Henriksson <andreas@fatal.se>  Mon, 23 Aug 2010 14:41:20 +0200

rygel (0.7.3-1) experimental; urgency=low

  * Imported Upstream version 0.7.3
  * debian/control: update build-dependencies.
    - add gupnp-dlna (>= 0.2.1)
    - bump gupnp to >= 0.13.4, gupnp-av to >= 0.5.8,
      libgee to >= 0.5.2 and gtk+ to >= 2.21.5
    (gupnp-dlna and the version of Gtk+ is only available for experimental)
  * gst-renderer plugin has been renamed to playbin.
    - install the playbin plugin in rygel-gst-renderer package
      for now until we transition the package name as well.
    - also mention the new name in rygel-gst-renderer description.
  * add 1000-configure-only-require-gtk-220.patch and lower gtk+
    build-dependency.
    - Gtk+ 2.21.5 isn't really required, patch down to >= 2.20.

  (This round also included the following changes, which was
   then dropped again because of getting a fix upstream:
  * Add patches to revert building rygel-preferences against Gtk+ 3.x
  * Revert "Temporarily disable installing rygel-preferences"
  * .... upstream 0.7.3 introduces a configure switch ...
  * drop "revert gtk3/autoreconf" patches.
  )

 -- Andreas Henriksson <andreas@fatal.se>  Tue, 03 Aug 2010 22:09:42 +0200

rygel (0.7.2-1) experimental; urgency=low

  * Imported Upstream version 0.7.2
  * update debian/copyright: gstrenderer was re-licensed to LGPLv2+.

 -- Andreas Henriksson <andreas@fatal.se>  Tue, 13 Jul 2010 09:38:10 +0200

rygel (0.7.1-1) experimental; urgency=low

  [ Andreas Henriksson ]
  * Make rygel-tracker depend on tracker >= 0.8

  [ Yann Leboulanger ]
  * Add rygel-gst-launch plugin

  [ Andreas Henriksson ]
  * Imported Upstream version 0.7.1
  * Fix debian/control syntax error for tracker dependency
  * Temporarily disable installing rygel-preferences
    (since we don't have gtk+ 2.90.x)
  * Bump libgupnp-av-1.0-dev dependency to >= 0.5.7

 -- Andreas Henriksson <andreas@fatal.se>  Sat, 26 Jun 2010 23:16:19 +0200

rygel (0.6.0-1) unstable; urgency=low

  * Imported Upstream version 0.6.0
  * Add build-dependency on intltool
  * install new rygel icons

 -- Andreas Henriksson <andreas@fatal.se>  Mon, 17 May 2010 20:55:24 +0200

rygel (0.5.2-1) experimental; urgency=low

  * Imported Upstream version 0.5.2
  * Bump build-dependency versions according to configure.ac
  * Re-enable rygel-tracker.

 -- Andreas Henriksson <andreas@fatal.se>  Tue, 20 Apr 2010 20:18:36 +0200

rygel (0.4.12-2) unstable; urgency=low



=== debian/control ===
Source: rygel
Section: net
Priority: extra
Maintainer: Debian Rygel Maintainers <ah-rygel@debian.org>
Uploaders: Marc-André Lureau <marcandre.lureau@gmail.com>, Andreas Henriksson <andreas@fatal.se>
Build-Depends: debhelper (>= 8), autotools-dev,
    intltool,
    libgssdp-1.0-dev (>= 0.9.2),
    libgupnp-1.0-dev (>= 0.13.4),
    libgupnp-av-1.0-dev (>= 0.7.0),
    libgupnp-dlna-1.0-dev (>= 0.5.0),
    libdbus-glib-1-dev (>= 0.74),
    libgstreamer0.10-dev (>= 0.10.23),
    libgstreamer-plugins-base0.10-dev (>= 0.10.30),
    libglib2.0-dev (>= 2.26),
    libgee-dev (>= 0.5.2),
    uuid-dev (>= 1.2-1.41.3),
    libsoup2.4-dev (>= 2.26.0),
    libsqlite3-dev (>= 3.5),
    libgtk-3-dev (>= 2.90.3)
Standards-Version: 3.9.2
Homepage: http://live.gnome.org/Rygel
Vcs-Git: git://git.debian.org/git/collab-maint/rygel.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/rygel.git

Package: rygel
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: gstreamer0.10-plugins-base, gstreamer0.10-plugins-ugly, gstreamer0.10-ffmpeg
Suggests: rygel-tracker, rygel-mediathek, rygel-preferences
Description: GNOME UPnP/DLNA services
 Rygel is a collection of DLNA (UPnP AV) services (devices in UPnP speak),
 implemented through a plug-in mechanism. Important facts and features:
   * APIs to ease the implementation of AV devices (currently only
     MediaServer V 2.0 specification).
   * Audio and Video Transcoding: source format could be anything
     GStreamer's decodebin2 can handle but output formats are currently
     limited to: mp3, PCM and MPEG TS. Fortunately the transcoding
     framework is flexible enough to easily add more transcoding targets.
   * Specifically designed for GNOME (Mobile).
   * Based on GUPnP.
   * Written (mostly) in Vala language.
 .
 This package contains the core of Rygel and following plugins:
   * media-export: Recursively exports folders and files specified in the
     user configuration. This plugin supports all types of URIs that
     gio/gvfs and GStreamer can handle.
   * external: A MediaServer plugin that exports media hierarchies
     provided by external applications.
   * mpris: Export of media players that implement MPRIS2 D-Bus interface,
     as MediaRenderer devices.

Package: rygel-dbg
Section: debug
Architecture: any
Depends: rygel (= ${binary:Version}), ${misc:Depends}
Description: GNOME UPnP/DLNA services
 Rygel is a collection of DLNA (UPnP AV) services (devices in UPnP speak),
 implemented through a plug-in mechanism. Important facts and features:
   * APIs to ease the implementation of AV devices (currently only
     MediaServer V 2.0 specification).
   * Audio and Video Transcoding: source format could be anything
     GStreamer's decodebin2 can handle but output formats are currently
     limited to: mp3, PCM and MPEG TS. Fortunately the transcoding
     framework is flexible enough to easily add more transcoding targets.
   * Specifically designed for GNOME (Mobile).
   * Based on GUPnP.
   * Written (mostly) in Vala language.
 .
 This package contains the debug symbols for rygel itself as well as
 all the extra plugins.

Package: rygel-1.0-dev
Section: devel
Architecture: any
Depends: ${misc:Depends}, libgupnp-1.0-dev, libgstreamer0.10-dev
Description: GNOME UPnP/DLNA services - plugin development files
 Rygel is a collection of DLNA (UPnP AV) services (devices in UPnP speak),
 implemented through a plug-in mechanism. Important facts and features:
   * APIs to ease the implementation of AV devices (currently only
     MediaServer V 2.0 specification).
   * Audio and Video Transcoding: source format could be anything
     GStreamer's decodebin2 can handle but output formats are currently
     limited to: mp3, PCM and MPEG TS. Fortunately the transcoding
     framework is flexible enough to easily add more transcoding targets.
   * Specifically designed for GNOME (Mobile).
   * Based on GUPnP.
   * Written (mostly) in Vala language.
 .
 This package privdes the files needed to build Rygel plugins.

Package: rygel-mediathek
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, rygel (= ${binary:Version})
Description: GNOME UPnP/DLNA services - Mediathek plugin
 Rygel is a collection of DLNA (UPnP AV) services (devices in UPnP speak),
 implemented through a plug-in mechanism. Important facts and features:
   * APIs to ease the implementation of AV devices (currently only
     MediaServer V 2.0 specification).
   * Audio and Video Transcoding: source format could be anything
     GStreamer's decodebin2 can handle but output formats are currently
     limited to: mp3, PCM and MPEG TS. Fortunately the transcoding
     framework is flexible enough to easily add more transcoding targets.
   * Specifically designed for GNOME (Mobile).
   * Based on GUPnP.
   * Written (mostly) in Vala language.
 .
 This package provides a MediaServer plugin that exports TV programs
 from the 2nd German TV station online service (http://www.zdf.de/)
 over the UPnP network.

Package: rygel-tracker
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, rygel (= ${binary:Version}), tracker (>= 0.8)
Description: GNOME UPnP/DLNA services - Tracker plugin
 Rygel is a collection of DLNA (UPnP AV) services (devices in UPnP speak),
 implemented through a plug-in mechanism. Important facts and features:
   * APIs to ease the implementation of AV devices (currently only
     MediaServer V 2.0 specification).
   * Audio and Video Transcoding: source format could be anything
     GStreamer's decodebin2 can handle but output formats are currently
     limited to: mp3, PCM and MPEG TS. Fortunately the transcoding
     framework is flexible enough to easily add more transcoding targets.
   * Specifically designed for GNOME (Mobile).
   * Based on GUPnP.
   * Written (mostly) in Vala language.
 .
 This package provides a MediaServer plugin that exports user's media
 contents known to Tracker (http://projects.gnome.org/tracker).

Package: rygel-gst-renderer
Section: oldlibs
Architecture: all
Depends: rygel-playbin, ${misc:Depends}
Description: transitional dummy package
 The old rygel-gst-renderer package was renamed to rygel-playbin.
 This is just a transitional dummy package to guide upgrades.
 This package can safely be removed!

Package: rygel-playbin
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, rygel (= ${binary:Version})
Replaces: rygel-gst-renderer (<< 0.8.3-1~)
Conflicts: rygel-gst-renderer (<< 0.8.3-1~)
Description: GNOME UPnP/DLNA services - GStreamer Media Renderer plugin
 Rygel is a collection of DLNA (UPnP AV) services (devices in UPnP speak),
 implemented through a plug-in mechanism. Important facts and features:
   * APIs to ease the implementation of AV devices (currently only
     MediaServer V 2.0 specification).
   * Audio and Video Transcoding: source format could be anything
     GStreamer's decodebin2 can handle but output formats are currently
     limited to: mp3, PCM and MPEG TS. Fortunately the transcoding
     framework is flexible enough to easily add more transcoding targets.
   * Specifically designed for GNOME (Mobile).
   * Based on GUPnP.
   * Written (mostly) in Vala language.
 .
 This package contains the Playbin plugin which is a MediaRenderer plugin.
 With this installed Rygel can render (view/play) media locally from
 other network resources (MediaServers) through GStreamer playbin2.

Package: rygel-gst-launch
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, rygel (= ${binary:Version})
Description: GNOME UPnP/DLNA services - gst-launch plugin
 Rygel is a collection of DLNA (UPnP AV) services (devices in UPnP speak),
 implemented through a plug-in mechanism. Important facts and features:
   * APIs to ease the implementation of AV devices (currently only
     MediaServer V 2.0 specification).
   * Audio and Video Transcoding: source format could be anything
     GStreamer's decodebin2 can handle but output formats are currently
     limited to: mp3, PCM and MPEG TS. Fortunately the transcoding
     framework is flexible enough to easily add more transcoding targets.
   * Specifically designed for GNOME (Mobile).
   * Based on GUPnP.
   * Written (mostly) in Vala language.
 .
 This package provides a gst-launch plugin that enables using a
 custom GStreamer pipeline as a DLNA service/UPnP device.

Package: rygel-preferences
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, rygel (= ${binary:Version})
Description: GNOME UPnP/DLNA services - preferences tool
 Rygel is a collection of DLNA (UPnP AV) services (devices in UPnP speak),
 implemented through a plug-in mechanism. Important facts and features:
   * APIs to ease the implementation of AV devices (currently only
     MediaServer V 2.0 specification).
   * Audio and Video Transcoding: source format could be anything
     GStreamer's decodebin2 can handle but output formats are currently
     limited to: mp3, PCM and MPEG TS. Fortunately the transcoding
     framework is flexible enough to easily add more transcoding targets.
   * Specifically designed for GNOME (Mobile).
   * Based on GUPnP.
   * Written (mostly) in Vala language.
 .
 This package provides a graphical tool to configure Rygel and set
 custom preferences.

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@

override_dh_auto_configure:
	find . -name "*_vala.stamp" | xargs touch
	./configure --prefix=/usr --mandir=\$${prefix}/share/man \
		--sysconfdir=/etc \
		--enable-mediathek-plugin \
		--enable-gst-launch-plugin \
		CFLAGS="$(CFLAGS)"

override_dh_strip:
	dh_strip --dbg-package=rygel-dbg

override_dh_makeshlibs:
	dh_makeshlibs -X /usr/lib/rygel-1.0/

update-patch-series:
	git rm -rf $(CURDIR)/debian/patches || true
	mkdir -p $(CURDIR)/debian/patches
	echo "# autogenerated by fakeroot debian/rules update-patch-series" \
		> $(CURDIR)/debian/patches/series
	echo "# patches are stored in a git branch, " \
		"see Vcs-Git in debian/control" \
		>> $(CURDIR)/debian/patches/series
	git format-patch -o $(CURDIR)/debian/patches patches ^upstream | \
		xargs -r -n 1 basename >> $(CURDIR)/debian/patches/series
	git add $(CURDIR)/debian/patches/*

.PHONY: update-patch-series

=== debian/watch ===
version=3
ftp://ftp.gnome.org/pub/GNOME/sources/rygel/(\d+\.\d*[02468])/rygel-([\d\.]+)\.tar\.bz2

## rygel 0.12.5

=== debian/changelog ===
rygel (0.12.5-1) experimental; urgency=low

  * Imported Upstream version 0.12.5

 -- Andreas Henriksson <andreas@fatal.se>  Mon, 31 Oct 2011 13:29:18 +0100

rygel (0.12.4-1) experimental; urgency=low

  * Suggest tumbler for thumbnail generation
  * Imported Upstream version 0.12.4
  * Bump gupnp build dep according to configure.ac

 -- Andreas Henriksson <andreas@fatal.se>  Sun, 09 Oct 2011 19:55:21 +0200

rygel (0.12.3-1) experimental; urgency=low

  * Imported Upstream version 0.12.3

 -- Andreas Henriksson <andreas@fatal.se>  Tue, 04 Oct 2011 16:24:26 +0200

rygel (0.12.2-1) experimental; urgency=low

  * Imported Upstream version 0.12.2

 -- Andreas Henriksson <andreas@fatal.se>  Tue, 20 Sep 2011 21:33:44 +0200

rygel (0.12.1-1) experimental; urgency=low

  * Imported Upstream version 0.12.1
    - "Fix setting of current playback URI, ..." (Closes: #638006)

 -- Andreas Henriksson <andreas@fatal.se>  Wed, 14 Sep 2011 17:43:54 +0200

rygel (0.12.0-1) experimental; urgency=low

  * Imported Upstream version 0.12.0
  * debian/watch: switch to tar.xz
  * debian/rules: drop update-patch-series target
  * Bump build dependencies according to configure.ac
    - also drop dbus-glib which is not needed anymore since a while.

 -- Andreas Henriksson <andreas@fatal.se>  Mon, 05 Sep 2011 19:02:00 +0200

=== debian/control ===
--- 
+++ 
@@ -5,17 +5,16 @@
 Uploaders: Marc-André Lureau <marcandre.lureau@gmail.com>, Andreas Henriksson <andreas@fatal.se>
 Build-Depends: debhelper (>= 8), autotools-dev,
     intltool,
-    libgssdp-1.0-dev (>= 0.9.2),
-    libgupnp-1.0-dev (>= 0.13.4),
-    libgupnp-av-1.0-dev (>= 0.7.0),
+    libgssdp-1.0-dev (>= 0.11.0),
+    libgupnp-1.0-dev (>= 0.17.1),
+    libgupnp-av-1.0-dev (>= 0.9.0),
     libgupnp-dlna-1.0-dev (>= 0.5.0),
-    libdbus-glib-1-dev (>= 0.74),
     libgstreamer0.10-dev (>= 0.10.23),
     libgstreamer-plugins-base0.10-dev (>= 0.10.30),
     libglib2.0-dev (>= 2.26),
     libgee-dev (>= 0.5.2),
     uuid-dev (>= 1.2-1.41.3),
-    libsoup2.4-dev (>= 2.26.0),
+    libsoup2.4-dev (>= 2.34.0),
     libsqlite3-dev (>= 3.5),
     libgtk-3-dev (>= 2.90.3)
 Standards-Version: 3.9.2
@@ -27,7 +26,7 @@
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Recommends: gstreamer0.10-plugins-base, gstreamer0.10-plugins-ugly, gstreamer0.10-ffmpeg
-Suggests: rygel-tracker, rygel-mediathek, rygel-preferences
+Suggests: rygel-tracker, rygel-mediathek, rygel-preferences, tumbler
 Description: GNOME UPnP/DLNA services
  Rygel is a collection of DLNA (UPnP AV) services (devices in UPnP speak),
  implemented through a plug-in mechanism. Important facts and features:

=== debian/watch ===
version=3
ftp://ftp.gnome.org/pub/GNOME/sources/rygel/(\d+\.\d*[02468])/rygel-([\d\.]+)\.tar\.xz

## rygel 0.12.6

=== debian/changelog ===
rygel (0.12.6-2) unstable; urgency=low

  * Upload to unstable

 -- Andreas Henriksson <andreas@fatal.se>  Fri, 16 Dec 2011 15:21:25 +0100

rygel (0.12.6-1) experimental; urgency=low

  * Imported Upstream version 0.12.6

 -- Andreas Henriksson <andreas@fatal.se>  Thu, 15 Dec 2011 14:49:54 +0100

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@

override_dh_auto_configure:
	find . -name "*_vala.stamp" | xargs touch
	./configure --prefix=/usr --mandir=\$${prefix}/share/man \
		--sysconfdir=/etc \
		--enable-mediathek-plugin \
		--enable-gst-launch-plugin \
		CFLAGS="$(CFLAGS)"

override_dh_strip:
	dh_strip --dbg-package=rygel-dbg

override_dh_makeshlibs:
	dh_makeshlibs -X /usr/lib/rygel-1.0/

## rygel 0.14.0

=== debian/changelog ===
rygel (0.14.0-1) unstable; urgency=low

  * Imported Upstream version 0.13.3
  * Add vala build dependencies
  * Remove vala stamp files to force vala rebuild
  * Imported Upstream version 0.14.0

 -- Andreas Henriksson <andreas@fatal.se>  Mon, 26 Mar 2012 17:45:13 +0200

=== debian/control ===
--- 
+++ 
@@ -5,6 +5,8 @@
 Uploaders: Marc-André Lureau <marcandre.lureau@gmail.com>, Andreas Henriksson <andreas@fatal.se>
 Build-Depends: debhelper (>= 8), autotools-dev,
     intltool,
+    valac (>= 0.14.1),
+    gupnp-vala (>= 0.10.2),
     libgssdp-1.0-dev (>= 0.11.0),
     libgupnp-1.0-dev (>= 0.17.1),
     libgupnp-av-1.0-dev (>= 0.9.0),

## rygel 0.14.3

=== debian/changelog ===
rygel (0.14.3-2+deb7u1) wheezy; urgency=low

  * Non-maintainer upload.
  * Don't symlink /usr/share/autostart/rygel.desktop to prevent
    autostart of rygel by default. The default configuration file
    contains settings exposing files to the LAN by default.
    (Closes: #706478).

 -- Salvatore Bonaccorso <carnil@debian.org>  Mon, 22 Jul 2013 17:32:03 +0200

rygel (0.14.3-2) unstable; urgency=low

  * Add patch from upstream fixing choppy playback on some clients

 -- Andreas Henriksson <andreas@fatal.se>  Thu, 13 Sep 2012 11:02:23 +0200

rygel (0.14.3-1) unstable; urgency=low

  * rygel suggests -playbin, and -playbin enhances rygel
  * Imported Upstream version 0.14.3
    - this is a bugfix release with 2 fixes:
      - samsung compatibility
      - initial indexing of media taking very long time
  * Revert "Cherry-pick patch from upstream to fix Samsung user agent matching"
    since it's now included in the release.

 -- Andreas Henriksson <andreas@fatal.se>  Fri, 10 Aug 2012 14:15:54 +0200

rygel (0.14.2-3) unstable; urgency=low

  * Cherry-pick patch from upstream to fix Samsung user agent matching.
    Thanks to Jens Georg (upstream) for recommending this

 -- Andreas Henriksson <andreas@fatal.se>  Thu, 28 Jun 2012 16:16:04 +0200

rygel (0.14.2-2) unstable; urgency=low

  * Install locales.
    Thanks to Jens Georg, for noticing the missing .mo files

 -- Andreas Henriksson <andreas@fatal.se>  Fri, 22 Jun 2012 02:28:00 +0200

rygel (0.14.2-1) unstable; urgency=low

  * Imported Upstream version 0.14.2
  * Add libunistring-dev build dependency for faster media-export.
    Thanks to upstream for the suggestion
  * Bump to debhelper compat level 9 to enable hardening

 -- Andreas Henriksson <andreas@fatal.se>  Thu, 14 Jun 2012 07:48:49 +0200

rygel (0.14.1-1) unstable; urgency=low

  * Install DLNA compatible icons from new location
  * Imported Upstream version 0.14.1

 -- Andreas Henriksson <andreas@fatal.se>  Wed, 02 May 2012 16:13:07 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: extra
 Maintainer: Debian Rygel Maintainers <ah-rygel@debian.org>
 Uploaders: Marc-André Lureau <marcandre.lureau@gmail.com>, Andreas Henriksson <andreas@fatal.se>
-Build-Depends: debhelper (>= 8), autotools-dev,
+Build-Depends: debhelper (>= 9), autotools-dev,
     intltool,
     valac (>= 0.14.1),
     gupnp-vala (>= 0.10.2),
@@ -18,6 +18,7 @@
     uuid-dev (>= 1.2-1.41.3),
     libsoup2.4-dev (>= 2.34.0),
     libsqlite3-dev (>= 3.5),
+    libunistring-dev,
     libgtk-3-dev (>= 2.90.3)
 Standards-Version: 3.9.2
 Homepage: http://live.gnome.org/Rygel
@@ -28,7 +29,7 @@
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Recommends: gstreamer0.10-plugins-base, gstreamer0.10-plugins-ugly, gstreamer0.10-ffmpeg
-Suggests: rygel-tracker, rygel-mediathek, rygel-preferences, tumbler
+Suggests: rygel-preferences, rygel-playbin, rygel-tracker, rygel-mediathek, tumbler
 Description: GNOME UPnP/DLNA services
  Rygel is a collection of DLNA (UPnP AV) services (devices in UPnP speak),
  implemented through a plug-in mechanism. Important facts and features:
@@ -143,6 +144,7 @@
 Depends: ${shlibs:Depends}, ${misc:Depends}, rygel (= ${binary:Version})
 Replaces: rygel-gst-renderer (<< 0.8.3-1~)
 Conflicts: rygel-gst-renderer (<< 0.8.3-1~)
+Enhances: rygel
 Description: GNOME UPnP/DLNA services - GStreamer Media Renderer plugin
  Rygel is a collection of DLNA (UPnP AV) services (devices in UPnP speak),
  implemented through a plug-in mechanism. Important facts and features:

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 	dh $@
 
 override_dh_auto_configure:
-	find . -name "*_vala.stamp" | xargs touch
+	find . -name "*_vala.stamp" | xargs rm -f
 	./configure --prefix=/usr --mandir=\$${prefix}/share/man \
 		--sysconfdir=/etc \
 		--enable-mediathek-plugin \

## rygel 0.16.0

=== debian/changelog ===
rygel (0.16.0-2) experimental; urgency=low

  * debian/rules: list missing files on installation
  * Install the gstreamer presets files for transcoding.
    Thanks to Jens Georg <mail@jensge.org>

 -- Andreas Henriksson <andreas@fatal.se>  Sat, 06 Oct 2012 19:29:52 +0200

rygel (0.16.0-1) experimental; urgency=low

  * Imported Upstream version 0.16.0

 -- Andreas Henriksson <andreas@fatal.se>  Wed, 26 Sep 2012 22:34:15 +0200

rygel (0.15.4-1) experimental; urgency=low

   * Imported Upstream version 0.15.4
   * Update build dependencies according to configure.ac:
     - add valadoc (>= 0.2), gtk-doc-tools and
       libtracker-sparql-0.14-dev (>= 0.14.0)
     - bump required versions for valac, libgstreamer0.10-dev,
       libgstreamer-plugins-base0.10-dev and libglib2.0-dev
   * Drop patch from upstream which was added in previous version.
   * Add librygel-{core,server,rendere}-1.0-0 packages and install
     their development files in rygel-1.0-dev.

 -- Andreas Henriksson <andreas@fatal.se>  Mon, 24 Sep 2012 09:02:36 +0200

=== debian/control ===
--- 
+++ 
@@ -5,19 +5,22 @@
 Uploaders: Marc-André Lureau <marcandre.lureau@gmail.com>, Andreas Henriksson <andreas@fatal.se>
 Build-Depends: debhelper (>= 9), autotools-dev,
     intltool,
-    valac (>= 0.14.1),
+    valac (>= 0.16.1),
+    valadoc (>= 0.2),
+    gtk-doc-tools,
     gupnp-vala (>= 0.10.2),
     libgssdp-1.0-dev (>= 0.11.0),
     libgupnp-1.0-dev (>= 0.17.1),
     libgupnp-av-1.0-dev (>= 0.9.0),
     libgupnp-dlna-1.0-dev (>= 0.5.0),
-    libgstreamer0.10-dev (>= 0.10.23),
-    libgstreamer-plugins-base0.10-dev (>= 0.10.30),
-    libglib2.0-dev (>= 2.26),
+    libgstreamer0.10-dev (>= 0.10.36),
+    libgstreamer-plugins-base0.10-dev (>= 0.10.35),
+    libglib2.0-dev (>= 2.31.13),
     libgee-dev (>= 0.5.2),
     uuid-dev (>= 1.2-1.41.3),
     libsoup2.4-dev (>= 2.34.0),
     libsqlite3-dev (>= 3.5),
+    libtracker-sparql-0.14-dev (>= 0.14.0),
     libunistring-dev,
     libgtk-3-dev (>= 2.90.3)
 Standards-Version: 3.9.2
@@ -75,7 +78,10 @@
 Package: rygel-1.0-dev
 Section: devel
 Architecture: any
-Depends: ${misc:Depends}, libgupnp-1.0-dev, libgstreamer0.10-dev
+Depends: ${misc:Depends}, libgupnp-1.0-dev, libgstreamer0.10-dev,
+         librygel-core-1.0-0 (= ${binary:Version}),
+         librygel-server-1.0-0 (= ${binary:Version}),
+         librygel-renderer-1.0-0 (= ${binary:Version})
 Description: GNOME UPnP/DLNA services - plugin development files
  Rygel is a collection of DLNA (UPnP AV) services (devices in UPnP speak),
  implemented through a plug-in mechanism. Important facts and features:
@@ -89,7 +95,68 @@
    * Based on GUPnP.
    * Written (mostly) in Vala language.
  .
- This package privdes the files needed to build Rygel plugins.
+ This package privdes the development files needed to build Rygel plugins.
+
+Package: librygel-core-1.0-0
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Description: GNOME UPnP/DLNA services - core library
+ Rygel is a collection of DLNA (UPnP AV) services (devices in UPnP speak),
+ implemented through a plug-in mechanism.
+ .
+ This package contains the core of Rygel, used by other rygel modules.
+
+#Package: librygel-core-1.0-dev
+#Section: devel
+#Architecture: any
+#Depends: ${misc:Depends}
+#Description: GNOME UPnP/DLNA services - core library development files
+# Rygel is a collection of DLNA (UPnP AV) services (devices in UPnP speak),
+# implemented through a plug-in mechanism.
+# .
+# This package contains the development files for the core of Rygel.
+
+Package: librygel-server-1.0-0
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Description: GNOME UPnP/DLNA services - server library
+ Rygel is a collection of DLNA (UPnP AV) services (devices in UPnP speak),
+ implemented through a plug-in mechanism.
+ .
+ This package contains a library used by application implementing
+ UPnP server functionality by using rygel server plug-ins.
+
+#Package: librygel-server-1.0-dev
+#Section: devel
+#Architecture: any
+#Depends: ${misc:Depends}
+#Description: GNOME UPnP/DLNA services - server library development files
+# Rygel is a collection of DLNA (UPnP AV) services (devices in UPnP speak),
+# implemented through a plug-in mechanism.
+# .
+# This package contains the files to develop rygel server plug-ins and add
+# UPnP server functionality to your application.
+
+Package: librygel-renderer-1.0-0
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Description: GNOME UPnP/DLNA services - renderer library
+ Rygel is a collection of DLNA (UPnP AV) services (devices in UPnP speak),
+ implemented through a plug-in mechanism.
+ .
+ This package contains a library used by applications implementing
+ UPnP renderer functionality by using rygel renderer plug-ins.
+
+#Package: librygel-renderer-1.0-dev
+#Section: devel
+#Architecture: any
+#Depends: ${misc:Depends}
+#Description: GNOME UPnP/DLNA services - renderer library development files
+# Rygel is a collection of DLNA (UPnP AV) services (devices in UPnP speak),
+# implemented through a plug-in mechanism.
+# .
+# This package contains the files to develop rygel renderer plug-ins and add
+# UPnP renderer functionality to your application.
 
 Package: rygel-mediathek
 Architecture: any

## rygel 0.16.3

=== debian/changelog ===
rygel (0.16.3-1) experimental; urgency=low

  * Imported Upstream version 0.16.2
  * Imported Upstream version 0.16.3
  * Install librygel-* api documentation in rygel-1.0-dev

 -- Andreas Henriksson <andreas@fatal.se>  Tue, 13 Nov 2012 16:09:04 +0100

rygel (0.16.1-1) experimental; urgency=low

  * Imported Upstream version 0.16.1

 -- Andreas Henriksson <andreas@fatal.se>  Fri, 12 Oct 2012 13:29:48 +0200

=== debian/rules ===
--- 
+++ 
@@ -16,3 +16,6 @@
 override_dh_makeshlibs:
 	dh_makeshlibs -X /usr/lib/rygel-1.0/
 
+override_dh_install:
+	dh_install --list-missing
+

## rygel 0.18.0

=== debian/changelog ===
rygel (0.18.0-1) experimental; urgency=low

  * Imported Upstream version 0.18.0

 -- Andreas Henriksson <andreas@fatal.se>  Tue, 26 Mar 2013 20:37:48 +0100

rygel (0.17.10-1) experimental; urgency=low

  * Imported Upstream version 0.17.10
  * Update 0001-Revert-data-Hide-rygel-preferences-in-GNOME.patch to apply.

 -- Andreas Henriksson <andreas@fatal.se>  Fri, 22 Mar 2013 11:52:29 +0100

rygel (0.17.9-1) experimental; urgency=low

  * Move librygel* to libs section according to archive overrides
  * Imported Upstream version 0.17.9

 -- Andreas Henriksson <andreas@fatal.se>  Thu, 07 Mar 2013 17:25:10 +0100

rygel (0.17.8-1) experimental; urgency=low

  * dh_makeshlibs: fix exclude path for rygel 2.0 plugin ABI.
  * Update package descriptions to be more factually correct.
    Thanks to to Jens Georg for suggesting the improvements.
  * Add -Wl,-z,defs -Wl,--as-needed to LDFLAGS
  * Make -dev packages replace and conflict because of clashing api docs
    (Closes: #700508)
  * Imported Upstream version 0.17.8
  * Add patch to not hide rygel-preferences in GNOME (yet):
    debian/patches/0001-Revert-data-Hide-rygel-preferences-in-GNOME.patch

 -- Andreas Henriksson <andreas@fatal.se>  Wed, 20 Feb 2013 15:59:08 +0100

rygel (0.17.7-1) experimental; urgency=low

  * Imported Upstream version 0.17.4
  * Update build-dependencies according to configure.ac
    - gupnp-vala dropped, gstreamer 1.0, valac 0.18, and more...
  * Build-depend on libgee-0.8-dev
  * Build-depend on gstreamer plugins to pass tests
  * Switch recommends and depends to GStreamer 1.0
  * make tests non-fatal for now.
    Upstream confirmed the problems and are working on improving
    the tests. Avoid killing the build when they fail for now....
  * Add valac-0.18 as alternative to valac (>= 0.18)
    - since valac hasn't been updated to vala 0.18 yet.
  * Bump standards version to 3.9.4 to shut lintian up
  * Drop leftover debian/rygel-dvb.install
    - the rygel-dvb package was dropped long time ago
  * Update install paths for new plugins subdirectory
  * Install new rygel engines (gst and simple) files
  * Update triggers for new rygel plugin abi version
  * Rename packages to match new plugin abi version and soname
  * Add librygel-renderer-gst-2.0-1 package
  * Imported Upstream version 0.17.5
  * Imported Upstream version 0.17.5.1
  * Fix typo in rygel-1.0-dev package description (Closes: #697989)
  * Imported Upstream version 0.17.6
  * Imported Upstream version 0.17.7
  * Update gupnp-dlna build dependency to >= 0.9.4-2
  * debian/copyright: update copyright holders and years

 -- Andreas Henriksson <andreas@fatal.se>  Mon, 28 Jan 2013 22:11:21 +0100

rygel (0.16.3-2) unstable; urgency=low

  * Upload to unstable.

 -- Andreas Henriksson <andreas@fatal.se>  Mon, 10 Dec 2012 10:06:49 +0100

=== debian/control ===
Source: rygel
Section: net
Priority: extra
Maintainer: Debian Rygel Maintainers <ah-rygel@debian.org>
Uploaders: Marc-André Lureau <marcandre.lureau@gmail.com>, Andreas Henriksson <andreas@fatal.se>
Build-Depends: debhelper (>= 9), autotools-dev,
    intltool,
    valac (>= 0.18.0) | valac-0.18,
    valadoc (>= 0.2),
    gtk-doc-tools,
    gstreamer1.0-plugins-base,
    libgssdp-1.0-dev (>= 0.13.0),
    libgupnp-1.0-dev (>= 0.19.0),
    libgupnp-av-1.0-dev (>= 0.11.4),
    libgupnp-dlna-2.0-dev (>= 0.9.4-2),
    libgstreamer1.0-dev (>= 1.0),
    libgstreamer-plugins-base1.0-dev (>= 1.0),
    libglib2.0-dev (>= 2.31.13),
    libgee-0.8-dev,
    uuid-dev (>= 1.41.3),
    libsoup2.4-dev (>= 2.34.0),
    libsqlite3-dev (>= 3.5),
    libtracker-sparql-0.14-dev (>= 0.14.0),
    libunistring-dev,
    libgtk-3-dev (>= 2.90.3)
Standards-Version: 3.9.4
Homepage: http://live.gnome.org/Rygel
Vcs-Git: git://git.debian.org/git/collab-maint/rygel.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/rygel.git

Package: rygel
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: gstreamer1.0-plugins-base, gstreamer1.0-plugins-ugly, gstreamer1.0-libav
Suggests: rygel-preferences, rygel-playbin, rygel-tracker, rygel-mediathek, tumbler
Description: GNOME UPnP/DLNA services
 Rygel is a collection of DLNA (UPnP AV) services (devices in UPnP speak),
 implemented through a plug-in mechanism. Important facts and features:
   * APIs to ease the implementation of AV devices (currently only
     MediaServer V 3.0 specification).
   * Audio and Video Transcoding: source format could be anything
     GStreamer's decodebin can handle but output formats are currently
     limited to: mp3, AAC, PCM, MPEG TS and low-res H.264. Fortunately
     the transcoding framework is flexible enough to easily add more
     transcoding targets.
   * Specifically designed for GNOME (Mobile).
   * Based on GUPnP.
   * Written (mostly) in Vala language.
 .
 This package contains the core of Rygel and following plugins:
   * media-export: Recursively exports folders and files specified in the
     user configuration. This plugin supports all types of URIs that
     gio/gvfs and GStreamer can handle.
   * external: A MediaServer plugin that exports media hierarchies
     provided by external applications.
   * mpris: Export of media players that implement MPRIS2 D-Bus interface,
     as MediaRenderer devices.

Package: rygel-dbg
Section: debug
Architecture: any
Depends: rygel (= ${binary:Version}), ${misc:Depends}
Description: GNOME UPnP/DLNA services
 Rygel is a collection of DLNA (UPnP AV) services (devices in UPnP speak),
 implemented through a plug-in mechanism. Important facts and features:
   * APIs to ease the implementation of AV devices (currently only
     MediaServer V 3.0 specification).
   * Audio and Video Transcoding: source format could be anything
     GStreamer's decodebin can handle but output formats are currently
     limited to: mp3, AAC, PCM, MPEG TS and low-res H.264. Fortunately
     the transcoding framework is flexible enough to easily add more
     transcoding targets.
   * Specifically designed for GNOME (Mobile).
   * Based on GUPnP.
   * Written (mostly) in Vala language.
 .
 This package contains the debug symbols for rygel itself as well as
 all the extra plugins.

Package: rygel-2.0-dev
Section: devel
Architecture: any
Depends: ${misc:Depends}, libgupnp-1.0-dev, libgstreamer1.0-dev,
         librygel-core-2.0-1 (= ${binary:Version}),
         librygel-server-2.0-1 (= ${binary:Version}),
         librygel-renderer-2.0-1 (= ${binary:Version})
Replaces: rygel-1.0-dev
Conflicts: rygel-1.0-dev
Description: GNOME UPnP/DLNA services - plugin development files
 Rygel is a collection of DLNA (UPnP AV) services (devices in UPnP speak),
 implemented through a plug-in mechanism. Important facts and features:
   * APIs to ease the implementation of AV devices (currently only
     MediaServer V 3.0 specification).
   * Audio and Video Transcoding: source format could be anything
     GStreamer's decodebin can handle but output formats are currently
     limited to: mp3, AAC, PCM, MPEG TS and low-res H.264. Fortunately
     the transcoding framework is flexible enough to easily add more
     transcoding targets.
   * Specifically designed for GNOME (Mobile).
   * Based on GUPnP.
   * Written (mostly) in Vala language.
 .
 This package provides the development files needed to build Rygel plugins.

Package: librygel-core-2.0-1
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: GNOME UPnP/DLNA services - core library
 Rygel is a collection of DLNA (UPnP AV) services (devices in UPnP speak),
 implemented through a plug-in mechanism.
 .
 This package contains the core of Rygel, used by other rygel modules.

#Package: librygel-core-2.0-dev
#Section: devel
#Architecture: any
#Depends: ${misc:Depends}
#Description: GNOME UPnP/DLNA services - core library development files
# Rygel is a collection of DLNA (UPnP AV) services (devices in UPnP speak),
# implemented through a plug-in mechanism.
# .
# This package contains the development files for the core of Rygel.

Package: librygel-server-2.0-1
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: GNOME UPnP/DLNA services - server library
 Rygel is a collection of DLNA (UPnP AV) services (devices in UPnP speak),
 implemented through a plug-in mechanism.
 .
 This package contains a library used by application implementing
 UPnP server functionality by using rygel server plug-ins.

#Package: librygel-server-2.0-dev
#Section: devel
#Architecture: any
#Depends: ${misc:Depends}
#Description: GNOME UPnP/DLNA services - server library development files
# Rygel is a collection of DLNA (UPnP AV) services (devices in UPnP speak),
# implemented through a plug-in mechanism.
# .
# This package contains the files to develop rygel server plug-ins and add
# UPnP server functionality to your application.

Package: librygel-renderer-2.0-1
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: GNOME UPnP/DLNA services - renderer library
 Rygel is a collection of DLNA (UPnP AV) services (devices in UPnP speak),
 implemented through a plug-in mechanism.
 .
 This package contains a library used by applications implementing
 UPnP renderer functionality by using rygel renderer plug-ins.

#Package: librygel-renderer-2.0-dev
#Section: devel
#Architecture: any
#Depends: ${misc:Depends}
#Description: GNOME UPnP/DLNA services - renderer library development files
# Rygel is a collection of DLNA (UPnP AV) services (devices in UPnP speak),
# implemented through a plug-in mechanism.
# .
# This package contains the files to develop rygel renderer plug-ins and add
# UPnP renderer functionality to your application.

Package: librygel-renderer-gst-2.0-1
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: GNOME UPnP/DLNA services - renderer library
 Rygel is a collection of DLNA (UPnP AV) services (devices in UPnP speak),
 implemented through a plug-in mechanism.
 .
 This package contains a library used by applications implementing
 UPnP renderer functionality based on GStreamer by using rygel renderer
 plug-ins.

#Package: librygel-renderer-gst-2.0-dev
#Section: devel
#Architecture: any
#Depends: ${misc:Depends}
#Description: GNOME UPnP/DLNA services - renderer library development files
# Rygel is a collection of DLNA (UPnP AV) services (devices in UPnP speak),
# implemented through a plug-in mechanism.
# .
# This package contains the files to develop rygel renderer plug-ins based
# on GStreamer and add UPnP renderer functionality to your application.

Package: rygel-mediathek
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, rygel (= ${binary:Version})
Description: GNOME UPnP/DLNA services - Mediathek plugin
 Rygel is a collection of DLNA (UPnP AV) services (devices in UPnP speak),
 implemented through a plug-in mechanism. Important facts and features:
   * APIs to ease the implementation of AV devices (currently only
     MediaServer V 3.0 specification).
   * Audio and Video Transcoding: source format could be anything
     GStreamer's decodebin can handle but output formats are currently
     limited to: mp3, AAC, PCM, MPEG TS and low-res H.264. Fortunately
     the transcoding framework is flexible enough to easily add more
     transcoding targets.
   * Specifically designed for GNOME (Mobile).
   * Based on GUPnP.
   * Written (mostly) in Vala language.
 .
 This package provides a MediaServer plugin that exports TV programs
 from the 2nd German TV station online service (http://www.zdf.de/)
 over the UPnP network.

Package: rygel-tracker
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, rygel (= ${binary:Version}), tracker (>= 0.8)
Description: GNOME UPnP/DLNA services - Tracker plugin
 Rygel is a collection of DLNA (UPnP AV) services (devices in UPnP speak),
 implemented through a plug-in mechanism. Important facts and features:
   * APIs to ease the implementation of AV devices (currently only
     MediaServer V 3.0 specification).
   * Audio and Video Transcoding: source format could be anything
     GStreamer's decodebin can handle but output formats are currently
     limited to: mp3, AAC, PCM, MPEG TS and low-res H.264. Fortunately
     the transcoding framework is flexible enough to easily add more
     transcoding targets.
   * Specifically designed for GNOME (Mobile).
   * Based on GUPnP.
   * Written (mostly) in Vala language.
 .
 This package provides a MediaServer plugin that exports user's media
 contents known to Tracker (http://projects.gnome.org/tracker).

Package: rygel-gst-renderer
Section: oldlibs
Architecture: all
Depends: rygel-playbin, ${misc:Depends}
Description: transitional dummy package
 The old rygel-gst-renderer package was renamed to rygel-playbin.
 This is just a transitional dummy package to guide upgrades.
 This package can safely be removed!

Package: rygel-playbin
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, rygel (= ${binary:Version})
Replaces: rygel-gst-renderer (<< 0.8.3-1~)
Conflicts: rygel-gst-renderer (<< 0.8.3-1~)
Enhances: rygel
Description: GNOME UPnP/DLNA services - GStreamer Media Renderer plugin
 Rygel is a collection of DLNA (UPnP AV) services (devices in UPnP speak),
 implemented through a plug-in mechanism. Important facts and features:
   * APIs to ease the implementation of AV devices (currently only
     MediaServer V 3.0 specification).
   * Audio and Video Transcoding: source format could be anything
     GStreamer's decodebin3 can handle but output formats are currently
     limited to: mp3, AAC, PCM, MPEG TS and low-res H.264. Fortunately
     the transcoding framework is flexible enough to easily add more
     transcoding targets.
   * Specifically designed for GNOME (Mobile).
   * Based on GUPnP.
   * Written (mostly) in Vala language.
 .
 This package contains the Playbin plugin which is a MediaRenderer plugin.
 With this installed Rygel can render (view/play) media locally from
 other network resources (MediaServers) through GStreamer playbin2.

Package: rygel-gst-launch
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, rygel (= ${binary:Version})
Description: GNOME UPnP/DLNA services - gst-launch plugin
 Rygel is a collection of DLNA (UPnP AV) services (devices in UPnP speak),
 implemented through a plug-in mechanism. Important facts and features:
   * APIs to ease the implementation of AV devices (currently only
     MediaServer V 3.0 specification).
   * Audio and Video Transcoding: source format could be anything
     GStreamer's decodebin can handle but output formats are currently
     limited to: mp3, AAC, PCM, MPEG TS and low-res H.264. Fortunately
     the transcoding framework is flexible enough to easily add more
     transcoding targets.
   * Specifically designed for GNOME (Mobile).

=== debian/rules ===
--- 
+++ 
@@ -8,14 +8,17 @@
 		--sysconfdir=/etc \
 		--enable-mediathek-plugin \
 		--enable-gst-launch-plugin \
+		LDFLAGS="$(LDFLAGS) -Wl,-z,defs -Wl,--as-needed" \
 		CFLAGS="$(CFLAGS)"
 
 override_dh_strip:
 	dh_strip --dbg-package=rygel-dbg
 
 override_dh_makeshlibs:
-	dh_makeshlibs -X /usr/lib/rygel-1.0/
+	dh_makeshlibs -X /usr/lib/rygel-2.0/
 
 override_dh_install:
 	dh_install --list-missing
 
+override_dh_auto_test:
+	dh_auto_test || true
